package action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import javax.servlet.ServletContext;

import java.util.Map;
import java.util.HashMap;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.DynaActionForm;

import business.UserInfo;

public final class LogonAction extends Action {
    
    public ActionForward execute(ActionMapping mapping, ActionForm form,
        HttpServletRequest request, HttpServletResponse response) throws Exception {

		DynaActionForm logonform = (DynaActionForm)form;
		String username = (String)logonform.get("username");
		String password = (String)logonform.get("password");

        ServletContext context = getServlet().getServletContext();
		HttpSession session = request.getSession();

		// ZbVXR[vɕi[
		session.setAttribute("loginuser", username);

		// NGXgXR[vɃ}bvi[
		Map userinfomap = new HashMap();
		userinfomap.put("name", username);
		request.setAttribute("userinfomap", userinfomap);

		// AvP[VXR[vɔzi[
		String[] colors = {"", "", "", "", ""};
		context.setAttribute("array", colors);

		// ZbVXR[vJavaBeansi[
		UserInfo userinfo = new UserInfo();
		userinfo.setName(username);
		userinfo.setPassword(password);
		session.setAttribute("userinfo", userinfo);

        return mapping.findForward("success");
    }
    
}
